flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Metzger (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-6815) Javadocs don't work anymore in Flink 1.4-SNAPSHOT
Date Fri, 02 Jun 2017 10:04:04 GMT

    [ https://issues.apache.org/jira/browse/FLINK-6815?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16034426#comment-16034426
] 

Robert Metzger commented on FLINK-6815:
---------------------------------------

I'll update the plugin version to 0.10

> Javadocs don't work anymore in Flink 1.4-SNAPSHOT
> -------------------------------------------------
>
>                 Key: FLINK-6815
>                 URL: https://issues.apache.org/jira/browse/FLINK-6815
>             Project: Flink
>          Issue Type: Bug
>          Components: Build System
>    Affects Versions: 1.4.0
>            Reporter: Robert Metzger
>            Assignee: Robert Metzger
>
> https://ci.apache.org/projects/flink/flink-docs-master/api/java/org/apache/flink/streaming/api/scala/KeyedStream.html
results in a 404 error.
> The problem (https://ci.apache.org/builders/flink-docs-master/builds/731/steps/Java%20&%20Scala%20docs/logs/stdio)
is the following:
> {code}
> [ERROR] Failed to execute goal net.alchim31.maven:scala-maven-plugin:3.2.2:compile (doc)
on project flink-annotations: wrap: org.apache.maven.artifact.resolver.ArtifactNotFoundException:
Could not find artifact com.typesafe.genjavadoc:genjavadoc-plugin_2.10.6:jar:0.8 in central
(https://repo.maven.apache.org/maven2)
> {code}
> I think the problem is that we upgraded the scala version to 2.10.6, but the plugin doesn't
have version 0.8 for that scala version.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message